Bug 6566 - Problem abount uim.el and uim-input-pad-ja
Summary: Problem abount uim.el and uim-input-pad-ja
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: helper: others (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: uim-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6089
  Show dependency treegraph
 
Reported: 2006-04-12 16:16 UTC by Shun-ichi TAHARA
Modified: 2006-05-09 13:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shun-ichi TAHARA 2006-04-12 16:16:41 UTC
uim-input-pad-ja seems not to be able to input against emacs bridge, uim.el.
It works fine on the other bridges, uim-xim or gtk-im-uim.

Are there any ideas?
Comment 1 Konosuke Watanabe 2006-04-12 23:06:08 UTC
uim-input-pad-ja cannot input any characters to Emacs buffer via uim.el
because uim-el-agent, a back-end program of uim.el, ignores
"commit_string" messages.

In current implementation, uim.el can handle only events which occur 
after each user's operations in Emacs, and "commit_string" messages is 
difficult to support since they arrive independently from the
operations. 
# uim-fep may also have the same problem.

As a matter of fact, I'd never used uim-input-pad-ja up until today, 
and I didn't know the necessity of "commit_string" message (^^;

So, I'll explore good way to handle this message.
Please wait patiently (^^
Comment 2 Konosuke Watanabe 2006-04-13 11:30:01 UTC
(In reply to comment #1)
> # uim-fep may also have the same problem.
Sorry, I misunderstood.
The reason why uim-input-pad-ja cannot input characters with uim-fep is
different from uim.el's problem.
Comment 3 Konosuke Watanabe 2006-05-10 06:03:32 UTC
Fixed in r3378.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.